Subject: Re: [bug#36404] [PATCH v4 4/4] doc: Add section for 'guix deploy'.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 05 Jul 2019 10:29:06 +0200

[email-masked] (Jakob L. Kreuze) skribis:

> * doc/guix.texi: Add section "Invoking guix deploy".

Yay!

You can add a copyright line for you at the top of guix.texi.

> +@section Invoking @code{guix deploy}
> +
> +We've already seen @code{operating-system} declarations used to manage a
> +machine's configuration locally.  Suppose you need to configure multiple
> +machines, though---perhaps you're managing a service on the web that's
> +comprised of several servers.  @command{guix deploy} enables you to use those
> +same @code{operating-system} declarations to manage multiple remote hosts at
> +once as a logical ``deployment''.

Perhaps add something like:

  @quotation Note
  The functionality described in this section is still under development
  and is subject to change.  Get in touch with us on
  @email{guix-devel@@gnu.org}!
  @end quotation

That way, if we make a Guix release before this is all stabilized,
we make sure people have appropriate expectations.  :-)

> +complex deployment may involve, for example, starting virtual machines through
> +a VPS provider.  In such a case, a different @var{environment} type would be
     ^^^
I would write “Virtual Private Server (VPS)”.

I hope the nitpicking level is acceptable, let me know.  I’m really
excited to see this land in master!

Ludo’.